Bug 435190 - QEMU driver should pass -name option to QEMU instances it runs
QEMU driver should pass -name option to QEMU instances it runs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks: LibvirtXenner
  Show dependency treegraph
 
Reported: 2008-02-27 16:06 EST by Daniel Berrange
Modified: 2008-11-04 06:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-04 06:09:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Send -name arg to qemu (5.92 KB, patch)
2008-05-10 13:27 EDT, Daniel Berrange
no flags Details | Diff

  None (edit)
Description Daniel Berrange 2008-02-27 16:06:00 EST
Description of problem:
QEMU 0.9.0 or later support a -name argument to allow the guest's name to be
specified. In plain QEMU this is merely used to set the VNC display title, but
in Xenner this is used for the Xen VM name writing into Xenstore too. THe QEMU
driver should thus pass the -name argument if using a new enough QEMU

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Berrange 2008-05-10 13:27:23 EDT
Created attachment 305038 [details]
Send -name arg to qemu
Comment 2 Bug Zapper 2008-05-14 01:40:29 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Daniel Berrange 2008-11-04 06:09:45 EST
This change is now included in an official libvirt release

Note You need to log in before you can comment on or make changes to this bug.